For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETGet termination
      • POSTInitiate EOR contract termination request
      • POSTRequest EOR Contract Resignation
      • POSTTermination Request
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Terminations

Initiate EOR contract termination request

POST
/eor/contracts/:contract_id/offboarding/termination
POST
/rest/v2/eor/contracts/:contract_id/offboarding/termination
$curl -X POST https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/termination \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F data='{
> "reason": "PERFORMANCE_ISSUES",
> "reason_detail": "This decision to terminate employment is based on an unsatisfactory level of job performance despite documented efforts to provide support and improvement opportunities.",
> "used_time_off": {},
> "is_employee_notified": false
>}'
1{
2 "data": {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "end_date": "2025-01-31T00:00:00.000Z",
5 "documents": {
6 "supporting": [
7 {
8 "id": "cmddlk1ghehm54l18gejg198r",
9 "name": "Supporting Documentation",
10 "type": "pdf",
11 "created_at": "2025-07-21T21:07:27.713Z",
12 "updated_at": "2025-07-21T21:07:27.713Z",
13 "is_additional_supporting_document": false
14 }
15 ],
16 "offboarding": [
17 {
18 "files": [
19 {
20 "id": "cmdeh9wzgvihue4r54n2y51p4",
21 "name": "Employee Sign Off Documents",
22 "type": "pdf",
23 "created_at": "2025-07-22T11:55:23.068Z",
24 "updated_at": "2025-07-22T11:55:23.068Z"
25 }
26 ],
27 "status": "AWAITING_REVIEW",
28 "reviewer_type": "EMPLOYEE",
29 "is_employee_notification_required": true,
30 "id": "123e4567-e89b-12d3-a456-426614174000",
31 "created_at": "2025-07-22T11:55:23.068Z",
32 "updated_at": "2025-07-22T11:55:23.068Z",
33 "reviewed_at": "2025-07-22T12:30:00.000Z",
34 "reviewed_by": "John Doe",
35 "reviewer_feedback": "Document needs clarification on section 3",
36 "notification_instructions": "<p>Please review and provide feedback on the attached documents.</p>"
37 }
38 ]
39 },
40 "created_at": "2025-01-31T00:00:00.000Z",
41 "updated_at": "2025-01-31T00:00:00.000Z",
42 "contract_id": "5B74FnLM",
43 "is_sensitive": false,
44 "request_data": {
45 "reason": "PERFORMANCE",
46 "end_date": "2025-01-31T00:00:00.000Z",
47 "reason_detail": "Employee is moving to another country",
48 "used_time_off": {
49 "time_offs": [
50 {
51 "unit": "BUSINESS_DAY",
52 "policy_type": "Vacation",
53 "tracking_periods": [
54 {
55 "used": 0,
56 "end_date": "2025-02-28T00:00:00.000Z",
57 "start_date": "2024-03-01T00:00:00.000Z"
58 },
59 {
60 "used": 0,
61 "end_date": "2024-02-29T00:00:00.000Z",
62 "start_date": "2023-03-01T00:00:00.000Z"
63 },
64 {
65 "used": 0,
66 "end_date": "2023-02-28T00:00:00.000Z",
67 "start_date": "2022-03-01T00:00:00.000Z"
68 }
69 ],
70 "scheduled_until_end_date": 0
71 }
72 ],
73 "is_deel_pto_confirmed": true,
74 "additional_details": null
75 },
76 "desired_end_date": "2025-01-31",
77 "eligible_for_rehire": "DONT_KNOW",
78 "eligible_for_rehire_reason": "Employee is not eligible for rehire due to performance issues"
79 },
80 "desired_end_date": "2025-01-31T00:00:00.000Z"
81 }
82}

Initiates a termination request for an EOR contract, beginning the offboarding process for the employee associated with the specified contract_id. The response captures the desired and confirmed end dates along with any termination documents generated at the time of the request. Token scopes: contracts:write

Was this page helpful?
Previous

Request EOR Contract Resignation

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the employee contract.

Request

This endpoint expects a multipart form.
dataobjectRequired

Response

Ok response
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication